AppendIterator::rewind
ArrayIterator
AppendIterator
PHP Manual

# AppendIterator::valid

(PHP 5 >= 5.1.0)

AppendIterator::valid — Checks validity of the current element

### Description

public void AppendIterator::valid ( void )

Checks validity of the current element.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- AppendIterator::append - Appends an iterator

AppendIterator::rewind
ArrayIterator
AppendIterator
PHP Manual